## vlc 0.3.1

=== Makefile ===
###############################################################################
# vlc (VideoLAN Client) main Makefile - (c)1998 VideoLAN
###############################################################################

ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
    include Makefile.opts
endif

###############################################################################
# Objects and files
###############################################################################

# 
# All possible plugin directories, needed for make clean
#
PLUGINS_DIR :=	a52 \
		aa \
		ac3_adec \
		ac3_spdif \
		access \
		alsa \
		arts \
		beos \
		chroma \
		directx \
		downmix \
		dsp \
		dummy \
		dvd \
		dvdread \
		esd \
		fb \
		filter \
		fx \
		ggi \
		glide \
		gtk \
		idct \
		imdct \
		kde \
		lirc \
		lpcm_adec \
		macosx \
		mad \
		memcpy \
		mga \
		motion \
		mpeg_system \
		mpeg_adec \
		mpeg_vdec \
		network \
		ogg \
		qnx \
		qt \
		satellite \
		sdl \
		spudec \
		text \
		vcd \
		win32 \
		x11

PLUGINS_TARGETS := a52/a52 \
		aa/aa \
		ac3_adec/ac3_adec \
		ac3_spdif/ac3_spdif \
		access/file \
		access/udp \
		access/http \
		alsa/alsa \
		arts/arts \
		beos/beos \
		chroma/chroma_i420_rgb \
		chroma/chroma_i420_rgb_mmx \
		chroma/chroma_i420_yuy2 \
		chroma/chroma_i420_yuy2_mmx \
		chroma/chroma_i422_yuy2 \
		chroma/chroma_i422_yuy2_mmx \
		chroma/chroma_i420_ymga \
		chroma/chroma_i420_ymga_mmx \
		directx/directx \
		downmix/downmix \
		downmix/downmixsse \
		downmix/downmix3dn \
		dsp/dsp \
		dummy/dummy \
		dummy/null \
		dvd/dvd \
		dvdread/dvdread \
		esd/esd \
		fb/fb \
		filter/filter_deinterlace \
		filter/filter_transform \
		filter/filter_invert \
		filter/filter_distort \
		filter/filter_wall \
		fx/fx_scope \
		ggi/ggi \
		glide/glide \
		gtk/gnome \
		gtk/gtk \
		idct/idct \
		idct/idctclassic \
		idct/idctmmx \
		idct/idctmmxext \
		idct/idctaltivec \
		imdct/imdct \
		imdct/imdct3dn \
		imdct/imdctsse \
		kde/kde \
		lirc/lirc \
		lpcm_adec/lpcm_adec \
		macosx/macosx \
		mad/mad \
		memcpy/memcpy \
		memcpy/memcpymmx \
		memcpy/memcpymmxext \
		memcpy/memcpy3dn \
		memcpy/memcpyaltivec \
		mga/mga \
		mga/xmga \
		motion/motion \
		motion/motionmmx \
		motion/motionmmxext \
		motion/motion3dnow \
		motion/motionaltivec \
		mpeg_system/mpeg_es \
		mpeg_system/mpeg_ps \
		mpeg_system/mpeg_ts \
		mpeg_adec/mpeg_adec \
		mpeg_vdec/mpeg_vdec \
		network/ipv4 \
		network/ipv6 \
		ogg/vorbis \
		qnx/qnx \
		qt/qt \
		satellite/satellite \
		sdl/sdl \
		spudec/spudec \
		text/logger \
		text/ncurses \
		text/rc \
		vcd/vcd \
		win32/waveout \
		win32/intfwin \
		x11/x11 \
		x11/xvideo

#
# C Objects
# 
INTERFACE := main interface intf_msg intf_playlist intf_eject
INPUT := input input_ext-plugins input_ext-dec input_ext-intf input_dec input_programs input_clock mpeg_system
VIDEO_OUTPUT := video_output video_text vout_pictures vout_subpictures
AUDIO_OUTPUT := audio_output aout_ext-dec aout_pcm aout_spdif
MISC := mtime modules configuration netutils iso_lang

C_OBJ :=	$(INTERFACE:%=src/interface/%.o) \
		$(INPUT:%=src/input/%.o) \
		$(VIDEO_OUTPUT:%=src/video_output/%.o) \
		$(AUDIO_OUTPUT:%=src/audio_output/%.o) \
		$(MISC:%=src/misc/%.o)

#
# Misc Objects
# 
ifeq ($(NEED_GETOPT),1)
C_OBJ += extras/GNUgetopt/getopt.o extras/GNUgetopt/getopt1.o 
endif

ifeq ($(NEED_SYMBOLS),1)
C_OBJ += src/misc/symbols.o
endif

ifeq ($(SYS),beos)
CPP_OBJ :=	src/misc/beos_specific.o
endif

ifneq (,$(findstring darwin,$(SYS)))
C_OBJ +=	src/misc/darwin_specific.o
endif

ifneq (,$(findstring mingw32,$(SYS)))
C_OBJ +=	src/misc/win32_specific.o
RESOURCE_OBJ :=	share/vlc_win32_rc.o
endif

VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)

#
# Generated header
#
H_OBJ :=	src/misc/modules_builtin.h

#
# Other lists of files
#
C_DEP := $(C_OBJ:%.o=.dep/%.d)
CPP_DEP := $(CPP_OBJ:%.o=.dep/%.dpp)

#
# Translate plugin names
#
ifneq (,$(PLUGINS))
PLUGIN_OBJ := $(shell for i in $(PLUGINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.so@' -e 's@^ .*@@' ; done)
endif
ifneq (,$(BUILTINS))
BUILTIN_OBJ := $(shell for i in $(BUILTINS) ; do echo " "$(PLUGINS_TARGETS)" " | sed -e 's@.*/\('$$i'\) .*@plugins/\1.a@' -e 's@^ .*@@' ; done)
endif

#
# Misc variables
#
VERSION := $(shell grep '^ *VERSION=' configure.in | head -1 | sed 's/"//g' | cut -f2 -d=)

# All symbols must be exported
export

###############################################################################
# Targets
###############################################################################

#
# Virtual targets
#
all: Makefile.opts vlc ${ALIASES} vlc.app plugins po

Makefile.opts:
	@echo "**** No configuration found, please run ./configure"
	@exit 1
#	./configure
#	$(MAKE) $(MAKECMDGOALS)
#	exit	

show:
	@echo CC: $(CC)
	@echo CFLAGS: $(CFLAGS)
	@echo LDFLAGS: $(LDFLAGS)
	@echo plugins_CFLAGS: $(plugins_CFLAGS)
	@echo plugins_LDFLAGS: $(plugins_LDFLAGS)
	@echo builtins_CFLAGS: $(builtins_CFLAGS)
	@echo builtins_LDFLAGS: $(builtins_LDFLAGS)
	@echo C_OBJ: $(C_OBJ)
	@echo CPP_OBJ: $(CPP_OBJ)
	@echo PLUGIN_OBJ: $(PLUGIN_OBJ)
	@echo BUILTIN_OBJ: $(BUILTIN_OBJ)

#
# Cleaning rules
#
clean: plugins-clean po-clean vlc-clean
	rm -f src/*/*.o extras/*/*.o
	rm -f lib/*.so* lib/*.a
	rm -f plugins/*.so plugins/*.a plugins/*.lib plugins/*.tds
	rm -rf extras/MacOSX/build

po-clean:
	-cd po && $(MAKE) clean

plugins-clean:
	for dir in $(PLUGINS_DIR) ; do \
		( cd plugins/$${dir} \
			&& $(MAKE) -f ../../Makefile.modules clean ) ; done
	rm -f plugins/*/*.o plugins/*/*.lo plugins/*/*.moc plugins/*/*.bak

vlc-clean:
	rm -f $(C_OBJ) $(CPP_OBJ)
	rm -f vlc gnome-vlc gvlc kvlc qvlc vlc.exe
	rm -Rf vlc.app

distclean: clean
	-cd po && $(MAKE) maintainer-clean
	rm -f **/*.o **/*~ *.log
	rm -f Makefile.opts
	rm -f include/defs.h include/modules_builtin.h
	rm -f src/misc/modules_builtin.h
	rm -f config*status config*cache config*log conftest*
	rm -f gmon.out core build-stamp
	rm -Rf .dep
	rm -f .gdb_history

#
# Install/uninstall rules
#
install: vlc-install plugins-install po-install

uninstall: vlc-uninstall plugins-uninstall po-uninstall

vlc-install:
	mkdir -p $(DESTDIR)$(bindir)
	$(INSTALL) vlc $(DESTDIR)$(bindir)
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias && ln -s vlc $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	mkdir -p $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.psf $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.png $(DESTDIR)$(datadir)/videolan
	$(INSTALL) -m 644 share/*.xpm $(DESTDIR)$(datadir)/videolan

vlc-uninstall:
	rm -f $(DESTDIR)$(bindir)/vlc
ifneq (,$(ALIASES))
	for alias in $(ALIASES) ; do if test $$alias ; then rm -f $(DESTDIR)$(bindir)/$$alias ; fi ; done
endif
	rm -f $(DESTDIR)$(datadir)/videolan/*.psf
	rm -f $(DESTDIR)$(datadir)/videolan/*.png
	rm -f $(DESTDIR)$(datadir)/videolan/*.xpm

plugins-install:
	mkdir -p $(DESTDIR)$(libdir)/videolan/vlc
ifneq (,$(PLUGINS))
	$(INSTALL) -m 644 $(PLUGINS:%=plugins/%.so) $(DESTDIR)$(libdir)/videolan/vlc
endif

plugins-uninstall:
	rm -f $(DESTDIR)$(libdir)/videolan/vlc/*.so

po-install:
	-cd po && $(MAKE) install

po-uninstall:
	-cd po && $(MAKE) uninstall

#
# Package generation rules
#
dist:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Copy directory structure in tmp
	find -type d | grep -v '\(\.dep\|snapshot\|CVS\)' | while read i ; \
		do mkdir -p tmp/vlc/$$i ; \
	done
	rm -Rf tmp/vlc/tmp
	find debian -mindepth 1 -maxdepth 1 -type d | \
		while read i ; do rm -Rf tmp/vlc/$$i ; done
	# Copy .c .h .in .cpp and .glade files
	find include src plugins -type f -name '*.[bcdhigrst]*' | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Grmbl... special case...
	for i in API BUGS DESIGN TODO ; \
		do cp plugins/mad/$$i tmp/vlc/plugins/mad ; done
	# Copy plugin Makefiles
	find plugins -type f -name Makefile | while read i ; \
		do cp $$i tmp/vlc/$$i ; done
	# Copy extra programs and documentation
	cp -a extras/* tmp/vlc/extras
	cp -a doc/* tmp/vlc/doc
	find tmp/vlc/extras tmp/vlc/doc \
		-type d -name CVS -o -name '.*' -o -name '*.[o]' | \
			while read i ; do rm -Rf $$i ; done
	# Copy gettext stuff
	cp po/ChangeLog po/vlc.pot po/*.po tmp/vlc/po
	for i in Makefile.in.in POTFILES.in ; do cp po/$$i tmp/vlc/po ; done
	# Copy misc files
	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
		ABOUT-NLS BUGS MODULES vlc.spec \
		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
		configure configure.in install-sh install-win32 macosx-dmg \
		config.sub config.guess aclocal.m4 mkinstalldirs \
			tmp/vlc/
	# Copy Debian control files
	for file in debian/*dirs debian/*docs debian/*menu debian/*desktop \
		debian/*copyright ; do cp $$file tmp/vlc/debian ; done
	for file in control changelog rules ; do \
		cp debian/$$file tmp/vlc/debian/ ; done
	# Copy ipkg control files
	for file in control rules patch ; do \
		cp ipkg/$$file tmp/vlc/ipkg/ ; done
	# Copy fonts and icons
	for file in share/*vlc* share/*psf; do \
		cp $$file tmp/vlc/share ; done
	# Build archives
	F=vlc-${VERSION}; \
	mv tmp/vlc tmp/$$F; (cd tmp ; tar czf ../$$F.tar.gz $$F); \
	# Clean up
	rm -Rf tmp

package-win32:
	# XXX: this rule is probably only useful to you if you have exactly
	# the same setup as me. Contact sam@zoy.org if you need to use it.
	#
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	# Create installation script
	cp install-win32 tmp/nsi
	# Copy relevant files
	cp vlc.exe tmp/ 
	$(STRIP) tmp/vlc.exe
	cp INSTALL.win32 tmp/INSTALL.txt ; unix2dos tmp/INSTALL.txt
	for file in AUTHORS COPYING ChangeLog README FAQ TODO ; \
			do cp $$file tmp/$${file}.txt ; \
			unix2dos tmp/$${file}.txt ; done
	mkdir tmp/plugins
	cp $(PLUGINS:%=plugins/%.so) tmp/plugins/ 
	# don't include these two
	#rm -f tmp/plugins/gtk.so tmp/plugins/sdl.so
ifneq (,$(PLUGINS))
	for i in $(PLUGINS) ; do if test $$i != intfwin ; then $(STRIP) tmp/plugins/$$i.so ; fi ; done
endif
	mkdir tmp/share
	for file in default8x16.psf default8x9.psf ; \
		do cp share/$$file tmp/share/ ; done
	# Create package 
	wine ~/.wine/fake_windows/Program\ Files/NSIS/makensis.exe -- /DVERSION=${VERSION} /CD tmp/nsi
	# Clean up
	rm -Rf tmp

package-beos:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi
	
	# Create dir
	mkdir -p tmp/vlc/share
	# Copy relevant files
	cp vlc tmp/vlc/
	strip tmp/vlc/vlc
	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/vlc/
	for file in default8x16.psf default8x9.psf ; \
		do cp share/$$file tmp/vlc/share/ ; done
	mkdir tmp/vlc/plugins
	cp $(PLUGINS:%=plugins/%.so) tmp/vlc/plugins/ 
	strip $(PLUGINS:%=tmp/vlc/plugins/%.so)
	# Create package 
	mv tmp/vlc tmp/vlc-${VERSION}
	(cd tmp ; find vlc-${VERSION} | \
	zip -9 -@ vlc-${VERSION}-BeOS-x86.zip )
	mv tmp/vlc-${VERSION}-BeOS-x86.zip .
	# Clean up
	rm -Rf tmp

package-macosx:
	# Check that tmp isn't in the way
	@if test -e tmp; then \
		echo "Error: please remove ./tmp, it is in the way"; false; \
	else \
		echo "OK."; mkdir tmp; \
	fi

	# Copy relevant files 
	cp -R vlc.app tmp/
	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/

	# Create disk image 
	./macosx-dmg 0 "vlc-${VERSION}" tmp/* 

	# Clean up
	rm -Rf tmp

#
# Gtk/Gnome/* aliases and OS X application
#
gnome-vlc gvlc kvlc qvlc: vlc
	rm -f $@ && ln -s vlc $@

.PHONY: vlc.app
vlc.app: vlc plugins
ifneq (,$(findstring darwin,$(SYS)))
	rm -Rf vlc.app
	cd extras/MacOSX ; pbxbuild | grep -v '^ ' | grep -v '^\t'
	cp -r extras/MacOSX/build/vlc.bundle ./vlc.app
	$(INSTALL) -d vlc.app/Contents/MacOS/share
	$(INSTALL) -d vlc.app/Contents/MacOS/plugins
	$(INSTALL) vlc vlc.app/Contents/MacOS/
ifneq (,$(PLUGINS))

=== plugins/filter/Makefile ===
filter_deinterlace_SOURCES = deinterlace.c
filter_transform_SOURCES = transform.c
filter_invert_SOURCES = invert.c
filter_distort_SOURCES = distort.c
filter_wall_SOURCES = wall.c

=== plugins/kde/Makefile ===
MOC_SOURCES = kde_interface.moc.cpp kde_slider.moc.cpp kde_disc.moc.cpp kde_net.moc.cpp kde_menu.moc.cpp

kde_SOURCES = kde.cpp kde_interface.cpp kde_slider.cpp kde_disc.cpp kde_net.cpp kde_menu.cpp $(MOC_SOURCES)

$(MOC_SOURCES): %.moc.cpp: %.h
	$(MOC) $< -o $@

=== plugins/macosx/Makefile ===
macosx_SOURCES = macosx.c aout_macosx.c vout_macosx.c vout_window.c vout_qdview.c vout_vlc_wrapper.c intf_macosx.c intf_controller.c intf_vlc_wrapper.c

=== plugins/x11/Makefile ===
x11_SOURCES = x11.c xcommon.c
xvideo_SOURCES = xvideo.c xcommon.c

## vlc 0.4.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
     include Makefile.opts
+endif
+ifeq ($(shell [ ! -r Makefile.config ] && echo 1),)
+    include Makefile.config
 endif
 
 ###############################################################################
@@ -20,6 +23,7 @@
 		access \
 		alsa \
 		arts \
+		avi \
 		beos \
 		chroma \
 		directx \
@@ -30,6 +34,7 @@
 		dvdread \
 		esd \
 		fb \
+		ffmpeg \
 		filter \
 		fx \
 		ggi \
@@ -69,6 +74,7 @@
 		access/http \
 		alsa/alsa \
 		arts/arts \
+		avi/avi \
 		beos/beos \
 		chroma/chroma_i420_rgb \
 		chroma/chroma_i420_rgb_mmx \
@@ -89,11 +95,13 @@
 		dvdread/dvdread \
 		esd/esd \
 		fb/fb \
+		ffmpeg/ffmpeg \
 		filter/filter_deinterlace \
 		filter/filter_transform \
 		filter/filter_invert \
 		filter/filter_distort \
 		filter/filter_wall \
+		filter/filter_clone \
 		fx/fx_scope \
 		ggi/ggi \
 		glide/glide \
@@ -124,9 +132,11 @@
 		motion/motionmmxext \
 		motion/motion3dnow \
 		motion/motionaltivec \
+        mpeg_system/mpeg_audio \
 		mpeg_system/mpeg_es \
 		mpeg_system/mpeg_ps \
 		mpeg_system/mpeg_ts \
+		mpeg_system/mpeg_ts_dvbpsi \
 		mpeg_adec/mpeg_adec \
 		mpeg_vdec/mpeg_vdec \
 		network/ipv4 \
@@ -185,7 +195,7 @@
 RESOURCE_OBJ :=	share/vlc_win32_rc.o
 endif
 
-VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)
+VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(M_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)
 
 #
 # Generated header
@@ -271,7 +281,7 @@
 distclean: clean
 	-cd po && $(MAKE) maintainer-clean
 	rm -f **/*.o **/*~ *.log
-	rm -f Makefile.opts
+	rm -f Makefile.opts Makefile.config
 	rm -f include/defs.h include/modules_builtin.h
 	rm -f src/misc/modules_builtin.h
 	rm -f config*status config*cache config*log conftest*
@@ -338,8 +348,8 @@
 	rm -Rf tmp/vlc/tmp
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vlc/$$i ; done
-	# Copy .c .h .in .cpp and .glade files
-	find include src plugins -type f -name '*.[bcdhigrst]*' | while read i ; \
+	# Copy .c .h .in .cpp .m and .glade files
+	find include src plugins -type f -name '*.[bcdhigmrst]*' | while read i ; \
 		do cp $$i tmp/vlc/$$i ; done
 	# Grmbl... special case...
 	for i in API BUGS DESIGN TODO ; \
@@ -359,7 +369,7 @@
 	# Copy misc files
 	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		ABOUT-NLS BUGS MODULES vlc.spec \
-		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
+		Makefile Makefile.*.in Makefile.dep Makefile.modules \
 		configure configure.in install-sh install-win32 macosx-dmg \
 		config.sub config.guess aclocal.m4 mkinstalldirs \
 			tmp/vlc/
@@ -451,7 +461,7 @@
 
 	# Copy relevant files 
 	cp -R vlc.app tmp/
-	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/
+	cp AUTHORS COPYING ChangeLog README README.MacOSX.rtf FAQ TODO tmp/
 
 	# Create disk image 
 	./macosx-dmg 0 "vlc-${VERSION}" tmp/* 
@@ -469,9 +479,3 @@
 vlc.app: vlc plugins
 ifneq (,$(findstring darwin,$(SYS)))
 	rm -Rf vlc.app
-	cd extras/MacOSX ; pbxbuild | grep -v '^ ' | grep -v '^\t'
-	cp -r extras/MacOSX/build/vlc.bundle ./vlc.app
-	$(INSTALL) -d vlc.app/Contents/MacOS/share
-	$(INSTALL) -d vlc.app/Contents/MacOS/plugins
-	$(INSTALL) vlc vlc.app/Contents/MacOS/
-ifneq (,$(PLUGINS))

=== plugins/aa/Makefile ===
aa_SOURCES = aa.c

=== plugins/fb/Makefile ===
fb_SOURCES = fb.c

=== plugins/filter/Makefile ===
--- 
+++ 
@@ -3,3 +3,4 @@
 filter_invert_SOURCES = invert.c
 filter_distort_SOURCES = distort.c
 filter_wall_SOURCES = wall.c
+filter_clone_SOURCES = clone.c

=== plugins/fx/Makefile ===
fx_scope_SOURCES = scope.c

## vlc 0.4.1

=== plugins/alsa/Makefile ===
alsa_SOURCES = alsa.c

=== plugins/arts/Makefile ===
arts_SOURCES = arts.c aout_arts.c

=== plugins/directx/Makefile ===
directx_SOURCES = directx.c vout_directx.c vout_events.c aout_directx.c

=== plugins/esd/Makefile ===
esd_SOURCES = esd.c aout_esd.c

=== plugins/ffmpeg/Makefile ===
ffmpeg_SOURCES = ffmpeg.c

=== plugins/filter/Makefile ===
--- 
+++ 
@@ -4,3 +4,4 @@
 filter_distort_SOURCES = distort.c
 filter_wall_SOURCES = wall.c
 filter_clone_SOURCES = clone.c
+filter_crop_SOURCES = crop.c

=== plugins/glide/Makefile ===
glide_SOURCES = glide.c

=== plugins/idct/Makefile ===
idct_SOURCES = idct.c
idctclassic_SOURCES = idctclassic.c
idctmmx_SOURCES = idctmmx.c
idctmmxext_SOURCES = idctmmxext.c
idctaltivec_SOURCES = idctaltivec.c

=== plugins/mpeg_adec/Makefile ===
mpeg_adec_SOURCES = mpeg_adec.c adec_layer1.c adec_layer2.c adec_math.c mpeg_adec_generic.c

=== plugins/qnx/Makefile ===
qnx_SOURCES = qnx.c aout_qnx.c vout_qnx.c

## vlc 0.4.2

=== plugins/macosx/Makefile ===
macosx_SOURCES = macosx.m aout_macosx.m vout_macosx.m vout_window.m vout_qdview.m vout_vlc_wrapper.m intf_macosx.m intf_controller.m intf_vlc_wrapper.m intf_open.m

=== plugins/ogg/Makefile ===
vorbis_SOURCES =

## vlc 0.4.4-1

=== Makefile ===
--- 
+++ 
@@ -102,6 +102,7 @@
 		filter/filter_distort \
 		filter/filter_wall \
 		filter/filter_clone \
+		filter/filter_crop \
 		fx/fx_scope \
 		ggi/ggi \
 		glide/glide \
@@ -368,7 +369,7 @@
 	for i in Makefile.in.in POTFILES.in ; do cp po/$$i tmp/vlc/po ; done
 	# Copy misc files
 	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
-		ABOUT-NLS BUGS MODULES vlc.spec \
+		ABOUT-NLS BUGS plugins/LIST vlc.spec \
 		Makefile Makefile.*.in Makefile.dep Makefile.modules \
 		configure configure.in install-sh install-win32 macosx-dmg \
 		config.sub config.guess aclocal.m4 mkinstalldirs \

=== plugins/avi/Makefile ===
avi_SOURCES = avi.c

=== plugins/beos/Makefile ===
beos_SOURCES = beos.cpp aout_beos.cpp vout_beos.cpp intf_beos.cpp InterfaceWindow.cpp DrawingTidbits.cpp TransportButton.cpp PlayListWindow.cpp MediaControlView.cpp intf_vlc_wrapper.cpp

=== plugins/mga/Makefile ===
mga_SOURCES = mga.c
xmga_SOURCES = xmga.c

=== plugins/mpeg_vdec/Makefile ===
ifeq ($(ARCH),hppa64)
CFLAGS += -ffunction-sections
endif

mpeg_vdec_SOURCES = video_parser.c vpar_headers.c vpar_blocks.c vpar_synchro.c vpar_pool.c video_decoder.c

=== plugins/network/Makefile ===
ipv4_SOURCES = ipv4.c
ipv6_SOURCES = ipv6.c

=== debian/changelog ===
vlc (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 11 Aug 2002 01:18:13 +0200

vlc (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 26 Jul 2002 00:03:13 +0200

vlc (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun,  7 Jul 2002 22:15:33 +0200

vlc (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  3 Jun 2002 23:43:35 +0200

vlc (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 23 May 2002 01:27:05 +0200

vlc (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes a crash in the Gtk+ interface.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 18 Apr 2002 06:43:42 +0200

vlc (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Reworked Gtk interface (Closes: #138732), with a working preferences
    dialog (Closes: #134142, #134147).
  * The ALSA plugin now supports S/PDIF (Closes: #118301).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  6 Apr 2002 04:27:50 +0200

vlc (0.2.92-8) unstable; urgency=high

  * Only link with libXv.a if libXv_pic.a wasn't found, which fixes
    package builds on sid.
  * Added -ffunction-sections to the compilation of mpeg_vdec.a when
    the architecture is hppa.

 -- Samuel Hocevar <sam@zoy.org>  Sun,  6 Jan 2002 06:56:08 +0100

vlc (0.2.92-7) unstable; urgency=high

  * Fixed configure.in so that it doesn't fail on hppa.
  * Fixed a symbol resolution issue that made vlc crash when libdvdcss
    was installed.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  5 Jan 2002 03:46:23 +0100

vlc (0.2.92-6) unstable; urgency=high

  * Attempt to fix IA64 and hppa builds.

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 Jan 2002 14:11:02 +0100

vlc (0.2.92-5) unstable; urgency=high

  * Many fixes imported from the 0.2.92 upstream release (VCD input,
    buffer management, decoder error management).
  * Removed a stupid dependency on libc6 which prevented the package
    from being built on alpha.

 -- Samuel Hocevar <sam@zoy.org>  Wed,  2 Jan 2002 04:16:44 +0100

vlc (0.2.92-4) unstable; urgency=high

  * Put debian/control and debian/rules in sync again (Closes: #126697).
  * Replaced the 48x48 XPM icons with 32x32 icons to comply with policy
    (Closes: #126939).
  * Don't spawn the Gtk+ or the Gnome interface if no $DISPLAY variable is
    present, which fixes the framebuffer output (Closes: #101753).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 30 Dec 2001 02:59:01 +0100

vlc (0.2.92-3) unstable; urgency=high

  * Removed references to vlc-mad (Closes: #126194).

 -- Samuel Hocevar <sam@zoy.org>  Sat, 22 Dec 2001 21:04:27 +0100

vlc (0.2.92-2) unstable; urgency=high

  * Bumped urgency to high to get this stable version into testing; all
    reported critical bugs were fixed.
  * Bumped Standards-Version to 3.5.6.
  * Fixed a PowerPC compilation issue.
  * Fixed a crash in the VCD input.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 20 Dec 2001 23:24:21 +0100

vlc (0.2.92-1) unstable; urgency=low

  * Using the stable 0.2.92 CVS branch, has lots of stability fixes.
  * Disabled broken ALSA audio output (Closes: #110869, #119846).
  * Changed configure.in so that vlc is linked against libXv.a,
    not xvideo.so and sdl.so (Closes: #111790).
  * Added versioned build-dep to libasound2-dev (Closes: #121057).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 19 Dec 2001 17:06:44 +0100

vlc (0.2.91-2) unstable; urgency=low

  * Added "Video" menu hints (Closes: #121036).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 25 Nov 2001 02:25:34 +0100

vlc (0.2.91-1) unstable; urgency=low

  * New upstream release.
  * This release fixes IFO parsing issues (Closes: #119369).
  * vlc will dlopen() an installed libdvdcss if available, to play
    encrypted DVDs (Closes: #89856).
  * vlc is now in sync with the official libdvdcss (Closes: #118194).

 -- Samuel Hocevar <sam@zoy.org>  Mon, 12 Nov 2001 17:14:29 +0100

vlc (0.2.90-2) unstable; urgency=low

  * Various upstream bugfixes.
  * Compiled against libsdl1.2-debian (Closes: #116709).

 -- Samuel Hocevar <sam@zoy.org>  Tue, 23 Oct 2001 02:09:39 +0200

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VideoLAN Client - uses debhelper.
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# Compilation options
export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=ffmpeg-20020707"
# Remove --without-dvdcss here in non-totalitarian countries
export DVDCSS_FLAGS="--enable-dvd --without-dvdcss"

export VIDDIR="usr/share/videolan"
export PIXDIR="usr/share/pixmaps"
export GNOMEDIR="usr/share/gnome/apps/Multimedia"

build: build-stamp
build-stamp:
	dh_testdir

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_FLAGS="--enable-glide" ;; \
	*) \
		ARCH_FLAGS="" ;; \
	esac ;\
	./configure $$ARCH_FLAGS --mandir=$${prefix}/share/man \
		--infodir=$${prefix}/share/info \
		$(shell echo $(CONFIG_FLAGS)) $(shell echo $(DVDCSS_FLAGS))

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	DESTDIR=`pwd`/debian/vlc/ $(MAKE) install prefix=/usr

	# make symlinks for packages and install plugins
	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt arts mad alsa lirc aa glide" ;; \
	*) \
		ARCH_ALIASES="ggi gtk gnome esd sdl qt arts mad alsa lirc aa" ;; \
	esac ;\
	for alias in $$ARCH_ALIASES ; do \
		ln -s vlc debian/vlc-$$alias/usr/share/doc/vlc-$$alias ; \
		mv debian/vlc/usr/lib/videolan/vlc/$$alias.so \
			debian/vlc-$$alias/usr/lib/videolan/vlc/ ; done

	mv debian/vlc/usr/bin/gvlc debian/vlc-gtk/usr/bin/
	mv debian/vlc/usr/bin/gnome-vlc debian/vlc-gnome/usr/bin/
	mv debian/vlc/usr/bin/qvlc debian/vlc-qt/usr/bin/
	#mv debian/vlc/usr/bin/kvlc debian/vlc-kde/usr/bin/

	mv debian/vlc/$(VIDDIR)/vlc48x48.png debian/vlc/$(PIXDIR)/vlc.png
	mv debian/vlc/$(VIDDIR)/gvlc32x32.xpm debian/vlc-gtk/$(VIDDIR)/gvlc.xpm
	mv debian/vlc/$(VIDDIR)/gvlc48x48.png debian/vlc-gtk/$(PIXDIR)/gvlc.png
	mv debian/vlc/$(VIDDIR)/gnome-vlc32x32.xpm debian/vlc-gnome/$(VIDDIR)/gnome-vlc.xpm
	mv debian/vlc/$(VIDDIR)/gnome-vlc48x48.png debian/vlc-gnome/$(PIXDIR)/gnome-vlc.png
	mv debian/vlc/$(VIDDIR)/qvlc32x32.xpm debian/vlc-qt/$(VIDDIR)/qvlc.xpm
	mv debian/vlc/$(VIDDIR)/qvlc48x48.png debian/vlc-qt/$(PIXDIR)/qvlc.png
	#mv debian/vlc/$(VIDDIR)/kvlc32x32.xpm debian/vlc-kde/$(VIDDIR)/kvlc.xpm
	#mv debian/vlc/$(VIDDIR)/kvlc48x48.png debian/vlc-kde/$(PIXDIR)/kvlc.png

	cp debian/vlc.desktop debian/vlc/$(GNOMEDIR)
	cp debian/gvlc.desktop debian/vlc-gtk/$(GNOMEDIR)
	cp debian/gnome-vlc.desktop debian/vlc-gnome/$(GNOMEDIR)

	#gzip -9 < doc/vlc.1 >| debian/vlc/usr/share/man/man1/vlc.1.gz
	ln -s vlc.1.gz debian/vlc-gtk/usr/share/man/man1/gvlc.1.gz
	ln -s vlc.1.gz debian/vlc-gnome/usr/share/man/man1/gnome-vlc.1.gz
	ln -s vlc.1.gz debian/vlc-qt/usr/share/man/man1/qvlc.1.gz
	#ln -s vlc.1.gz debian/vlc-kde/usr/share/man/man1/kvlc.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installman doc/vlc.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -Nvlc-gnome -Nvlc-gtk -Nvlc-ggi -Nvlc-glide -Nvlc-esd -Nvlc-alsa -Nvlc-sdl -Nvlc-qt -Nvlc-arts -Nvlc-mad -Nvlc-lirc -Nvlc-aa ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl

	case $(DEB_BUILD_ARCH) in \
	i386) \
		ARCH_EXCLUDE="" ;; \
	*) \
		ARCH_EXCLUDE="-Nvlc-glide" ;; \
	esac ;\
	dh_shlibdeps $$ARCH_EXCLUDE ;\
	dh_gencontrol $$ARCH_EXCLUDE ;\
	dh_md5sums $$ARCH_EXCLUDE ;\
	dh_builddeb $$ARCH_EXCLUDE

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vlc 0.4.5a-1

=== debian/changelog ===
vlc (0.4.5a-1) unstable; urgency=low

  * Bug fix and package fix.

 -- Alexis de Lattre <alexis@videolan.org>  Thu, 17 Oct 2002 01:10:41 +0200

vlc (0.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 11 Oct 2002 15:37:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 export DH_COMPAT=3
 
 # Compilation options
-export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=ffmpeg-20020707"
+export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=/usr/local/src/ffmpeg-20020707"
+
 # Remove --without-dvdcss here in non-totalitarian countries
-export DVDCSS_FLAGS="--enable-dvd --without-dvdcss"
+export DVDCSS_FLAGS="--enable-dvd"
 
 export VIDDIR="usr/share/videolan"
 export PIXDIR="usr/share/pixmaps"

## vlc 0.4.5-1

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 		dvd \
 		dvdread \
 		esd \
+		familiar \
 		fb \
 		ffmpeg \
 		filter \
@@ -55,8 +56,10 @@
 		mpeg_vdec \
 		network \
 		ogg \
+		opie \
 		qnx \
 		qt \
+		qte \
 		satellite \
 		sdl \
 		spudec \
@@ -71,6 +74,7 @@
 		ac3_spdif/ac3_spdif \
 		access/file \
 		access/udp \
+		access/rtp \
 		access/http \
 		alsa/alsa \
 		arts/arts \
@@ -94,6 +98,7 @@
 		dvd/dvd \
 		dvdread/dvdread \
 		esd/esd \
+		familiar/familiar \
 		fb/fb \
 		ffmpeg/ffmpeg \
 		filter/filter_deinterlace \
@@ -143,8 +148,10 @@
 		network/ipv4 \
 		network/ipv6 \
 		ogg/vorbis \
+		opie/opie \
 		qnx/qnx \
 		qt/qt \
+		qte/qte \
 		satellite/satellite \
 		sdl/sdl \
 		spudec/spudec \
@@ -380,8 +387,8 @@
 	for file in control changelog rules ; do \
 		cp debian/$$file tmp/vlc/debian/ ; done
 	# Copy ipkg control files
-	for file in control rules patch ; do \
-		cp ipkg/$$file tmp/vlc/ipkg/ ; done
+	for file in ipkg/* ; do \
+		cp $$file tmp/vlc/ipkg/ ; done
 	# Copy fonts and icons
 	for file in share/*vlc* share/*psf; do \
 		cp $$file tmp/vlc/share ; done
@@ -438,6 +445,7 @@
 	# Copy relevant files
 	cp vlc tmp/vlc/
 	strip tmp/vlc/vlc
+	xres -o tmp/vlc/vlc ./share/vlc_beos.rsrc
 	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/vlc/
 	for file in default8x16.psf default8x9.psf ; \
 		do cp share/$$file tmp/vlc/share/ ; done
@@ -474,9 +482,3 @@
 # Gtk/Gnome/* aliases and OS X application
 #
 gnome-vlc gvlc kvlc qvlc: vlc
-	rm -f $@ && ln -s vlc $@
-
-.PHONY: vlc.app
-vlc.app: vlc plugins
-ifneq (,$(findstring darwin,$(SYS)))
-	rm -Rf vlc.app

=== plugins/ac3_adec/Makefile ===
ac3_adec_SOURCES = ac3_adec.c ac3_decoder.c ac3_parse.c ac3_exponent.c ac3_bit_allocate.c ac3_mantissa.c ac3_rematrix.c ac3_imdct.c

=== plugins/dsp/Makefile ===
dsp_SOURCES = dsp.c aout_dsp.c

=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt-dev, libasound2-dev (>=0.9.0beta10a), libarts-dev, libmad0-dev, liblircclient-dev, a52dec-dev, aalib1-dev, libdvbpsi1-dev
Standards-Version: 3.5.6

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}
Recommends: vlc-gui
Suggests: vlc-gnome
Description: a free MPEG, DVD and DivX player
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files,
 DVDs, or MPEG streams from a network source.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf gnome' flag or run the `gnome-vlc' program.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf gtk' flag or run the `gvlc' program.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to vlc, the
 VideoLAN Client. To activate it, use the `--aout esd' flag or select
 the `esd' aout plugin from the preferences menu.

Package: vlc-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 vlc, the VideoLAN Client. To activate it, use the `--aout alsa' flag or
 select the `alsa' aout plugin from the preferences menu.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' vout or aout plugin from the
 preferences menu.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.  To activate it, use
 the `--vout ggi' flag or select the `ggi' vout plugin from the preferences
 menu.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client. To activate
 it, use the `--vout glide' flag or select the `glide' vout plugin from
 the preferences menu.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf qt' flag or run the `qvlc' program.

Package: vlc-mad
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: MAD plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for libmad, the MPEG audio decoder library,
 to the VideoLAN Client. MAD is 100% fixed-point based. To activate
 this plugin, use the `--mpeg_adec mad' flag or select the `mad' MPEG
 decoder from the preferences menu.

Package: vlc-arts
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: aRts plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the aRts Sound System to vlc, the
 VideoLAN Client. To activate it, use the `--aout arts' flag or
 select the `arts' aout plugin from the preferences menu.

Package: vlc-lirc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: lirc (infrared remote control) plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin is an infrared lirc interface for vlc, the
 VideoLAN Client. To activate it, use the `--intf lirc' flag.

Package: vlc-aa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ASCII art plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is an ASCII art video output plugin for vlc, the VideoLAN
 Client. To activate it, use the `--vout aa' flag or select the `aa'
 vout plugin from the preferences menu.

## vlc 0.4.6-1

=== plugins/dvd/Makefile ===
dvd_SOURCES = dvd.c dvd_access.c dvd_demux.c dvd_seek.c dvd_es.c dvd_ifo.c dvd_udf.c dvd_summary.c

=== plugins/satellite/Makefile ===
satellite_SOURCES = satellite.c input_satellite.c satellite_tools.c satellite_tools.h

=== debian/changelog ===
vlc (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Alexis de Lattre <alexis@videolan.org>  Wed, 13 Nov 2002 23:41:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,8 @@
 
 # Compilation options
 export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=/usr/local/src/ffmpeg-20020707"
-
 # Remove --without-dvdcss here in non-totalitarian countries
-export DVDCSS_FLAGS="--enable-dvd"
+export DVDCSS_FLAGS="--enable-dvd --without-dvdcss"
 
 export VIDDIR="usr/share/videolan"
 export PIXDIR="usr/share/pixmaps"

## vlc 0.5.0

=== extras/ffmpeg/Makefile ===
#
# Main ffmpeg Makefile
# (c) 2000, 2001, 2002 Fabrice Bellard
#
include config.mak

VPATH=$(SRC_PATH)

CFLAGS= $(OPTFLAGS) -Wall -g -I. -I$(SRC_PATH) -I$(SRC_PATH)/libavcodec -I$(SRC_PATH)/libavformat -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE
LDFLAGS+= -g 

ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=ffmpeg$(EXE)
else
ifeq ($(CONFIG_OS2),yes)
EXE=.exe
PROG=ffmpeg$(EXE)
else
EXE=
PROG=ffmpeg ffplay
ifeq ($(CONFIG_FFSERVER),yes)
PROG+=ffserver
endif
endif
endif

ifeq ($(CONFIG_AUDIO_BEOS),yes)
EXTRALIBS+=-lmedia -lbe
endif

ifeq ($(BUILD_SHARED),yes)
DEP_LIBS=libavcodec/$(SLIBPREF)avcodec$(SLIBSUF) libavformat/$(LIBPREF)avformat$(LIBSUF)
else
DEP_LIBS=libavcodec/$(LIBPREF)avcodec$(LIBSUF) libavformat/$(LIBPREF)avformat$(LIBSUF)
ifeq ($(CONFIG_MP3LAME),yes)
EXTRALIBS+=-lmp3lame
endif
ifeq ($(CONFIG_VORBIS),yes)
EXTRALIBS+=-logg -lvorbis -lvorbisenc
endif
endif

ifeq ($(BUILD_VHOOK),yes)
VHOOK=videohook
INSTALLVHOOK=install-vhook
CLEANVHOOK=clean-vhook
endif

OBJS = ffmpeg.o ffserver.o
SRCS = $(OBJS:.o=.c) $(ASM_OBJS:.o=.s)

all: lib $(PROG) $(VHOOK)

lib:
	$(MAKE) -C libavcodec all
	$(MAKE) -C libavformat all

ffmpeg_g$(EXE): .depend ffmpeg.o $(DEP_LIBS)
	$(CC) $(LDFLAGS) -o $@ ffmpeg.o -L./libavcodec -L./libavformat \
              -lavformat -lavcodec $(EXTRALIBS)

ffmpeg$(EXE): ffmpeg_g$(EXE)
	cp -p $< $@
	$(STRIP) $@

ffserver$(EXE): ffserver.o $(DEP_LIBS)
	$(CC) $(LDFLAGS) $(FFSLDFLAGS) \
		-o $@ ffserver.o -L./libavcodec -L./libavformat \
              -lavformat -lavcodec $(EXTRALIBS) 

ffplay: ffmpeg$(EXE)
	ln -sf $< $@

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 

videohook:
	$(MAKE) -C vhook all

install: all $(INSTALLVHOOK)
	$(MAKE) -C libavcodec install
	install -d $(prefix)/bin
	install -c -s -m 755 $(PROG) $(prefix)/bin
	ln -sf ffmpeg $(prefix)/bin/ffplay 

install-vhook: $(prefix)/lib/vhook
	$(MAKE) -C vhook install INSTDIR=$(prefix)/lib/vhook

$(prefix)/lib/vhook:
	install -d $@

installlib:
	$(MAKE) -C libavcodec installlib
	$(MAKE) -C libavformat installlib

dep:	depend

depend: .depend

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

clean: $(CLEANVHOOK)
	$(MAKE) -C libavcodec clean
	$(MAKE) -C libavformat clean
	$(MAKE) -C tests clean
	rm -f *.o *.d *~ .depend gmon.out TAGS ffmpeg_g$(EXE) $(PROG) 

clean-vhook:
	$(MAKE) -C vhook clean

distclean: clean
	$(MAKE) -C libavcodec distclean
	rm -f config.mak config.h

TAGS:
	etags *.[ch] libavformat/*.[ch] libavcodec/*.[ch]

# regression tests

libavtest test mpeg4 mpeg: ffmpeg$(EXE)
	$(MAKE) -C tests $@

# tar release (use 'make -k tar' on a checkouted tree)
FILE=ffmpeg-$(shell cat VERSION)

tar:
	rm -rf /tmp/$(FILE)
	cp -r . /tmp/$(FILE)
	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) --exclude CVS )
	rm -rf /tmp/$(FILE)

ifneq ($(wildcard .depend),)
include .depend
endif

## vlc 0.5.1

=== extras/ffmpeg/libavformat/Makefile ===
#
# libavformat Makefile
# (c) 2000, 2001, 2002 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/libavformat

CFLAGS= $(OPTFLAGS) -Wall -g -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE

OBJS= utils.o cutils.o allformats.o

# mux and demuxes
OBJS+=mpeg.o mpegts.o ffm.o crc.o img.o raw.o rm.o \
      avienc.o avidec.o wav.o swf.o au.o gif.o mov.o jpeg.o dv.o \
      yuv4mpeg.o

ifeq ($(CONFIG_RISKY),yes)
OBJS+= asf.o
endif

# image formats
OBJS+= pnm.o yuv.o
# file I/O
OBJS+= avio.o aviobuf.o file.o 
OBJS+= framehook.o 

ifeq ($(BUILD_STRPTIME),yes)
OBJS+= strptime.o
endif

ifeq ($(CONFIG_VIDEO4LINUX),yes)
OBJS+= grab.o
endif

ifeq ($(CONFIG_DV1394),yes)
OBJS+= dv1394.o
endif

ifeq ($(CONFIG_AUDIO_OSS),yes)
OBJS+= audio.o 
endif

ifeq ($(CONFIG_AUDIO_BEOS),yes)
OBJS+= beosaudio.o
endif

ifeq ($(CONFIG_NETWORK),yes)
OBJS+= udp.o tcp.o http.o rtsp.o rtp.o rtpproto.o
# BeOS network stuff
ifeq ($(NEED_INET_ATON),yes)
OBJS+= barpainet.o
endif
endif

ifeq ($(CONFIG_VORBIS),yes)
OBJS+= ogg.o
endif

LIB= $(LIBPREF)avformat$(LIBSUF)

SRCS := $(OBJS:.o=.c)

all: $(LIB)

$(LIB): .depend $(OBJS)
	rm -f $@
	$(AR) rc $@ $(OBJS)
ifneq ($(CONFIG_OS2),yes)
	$(RANLIB) $@
endif

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

installlib: all
	install -m 644 $(LIB) $(prefix)/lib
	mkdir -p $(prefix)/include/ffmpeg
	install -m 644 $(SRC_PATH)/libavformat/avformat.h $(SRC_PATH)/libavformat/avio.h \
                $(SRC_PATH)/libavformat/rtp.h $(SRC_PATH)/libavformat/rtsp.h \
                $(SRC_PATH)/libavformat/rtspcodes.h \
                $(prefix)/include/ffmpeg

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $< 

# BeOS: remove -Wall to get rid of all the "multibyte constant" warnings
%.o: %.cpp
	g++ $(subst -Wall,,$(CFLAGS)) -c -o $@ $< 

clean: 
	rm -f *.o *.d .depend *~ *.a $(LIB)

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

=== extras/ffmpeg/vhook/Makefile ===
include ../config.mak

VPATH=$(SRC_PATH)/vhook

CFLAGS=-fPIC $(OPTFLAGS) -g -Wall -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavformat -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H

ifeq ($(CONFIG_DARWIN),yes)
SHFLAGS+=-bundle -flat_namespace -undefined suppress
endif
HOOKS=null.so fish.so

ifeq ($(HAVE_IMLIB2),yes)
    HOOKS += imlib2.so
endif    

all: $(HOOKS) 

SRCS := $(OBJS:.o=.c)

.depend: $(SRCS)
	$(CC) -MM $(CFLAGS) $^ 1>.depend

install:
	install -s -m 755 $(HOOKS) $(INSTDIR)

imlib2.so: imlib2.o
	$(CC) -g -o $@ $(SHFLAGS) $< -lImlib2

%.so: %.o
	$(CC) -g -o $@ $(SHFLAGS) $<

clean:
	rm -f *.o *.d .depend *.so *~

ifneq ($(wildcard .depend),)
include .depend
endif

## vlc 0.5.3

=== extras/ffmpeg/libavformat/Makefile ===
--- 
+++ 
@@ -9,10 +9,11 @@
 CFLAGS= $(OPTFLAGS) -Wall -g -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE
 
 OBJS= utils.o cutils.o allformats.o
+PPOBJS=
 
 # mux and demuxes
 OBJS+=mpeg.o mpegts.o ffm.o crc.o img.o raw.o rm.o \
-      avienc.o avidec.o wav.o swf.o au.o gif.o mov.o jpeg.o dv.o \
+      avienc.o avidec.o wav.o swf.o au.o gif.o mov.o mpjpeg.o dv.o \
       yuv4mpeg.o
 
 ifeq ($(CONFIG_RISKY),yes)
@@ -20,7 +21,7 @@
 endif
 
 # image formats
-OBJS+= pnm.o yuv.o
+OBJS+= pnm.o yuv.o png.o jpeg.o gifdec.o
 # file I/O
 OBJS+= avio.o aviobuf.o file.o 
 OBJS+= framehook.o 
@@ -42,12 +43,12 @@
 endif
 
 ifeq ($(CONFIG_AUDIO_BEOS),yes)
-OBJS+= beosaudio.o
+PPOBJS+= beosaudio.o
 endif
 
 ifeq ($(CONFIG_NETWORK),yes)
 OBJS+= udp.o tcp.o http.o rtsp.o rtp.o rtpproto.o
-# BeOS network stuff
+# BeOS and Darwin network stuff
 ifeq ($(NEED_INET_ATON),yes)
 OBJS+= barpainet.o
 endif
@@ -59,18 +60,18 @@
 
 LIB= $(LIBPREF)avformat$(LIBSUF)
 
-SRCS := $(OBJS:.o=.c)
+SRCS := $(OBJS:.o=.c) $(PPOBJS:.o=.cpp)
 
 all: $(LIB)
 
-$(LIB): .depend $(OBJS)
+$(LIB): $(OBJS) $(PPOBJS)
 	rm -f $@
-	$(AR) rc $@ $(OBJS)
+	$(AR) rc $@ $(OBJS) $(PPOBJS)
 ifneq ($(CONFIG_OS2),yes)
 	$(RANLIB) $@
 endif
 
-.depend: $(SRCS)
+depend: $(SRCS)
 	$(CC) -MM $(CFLAGS) $^ 1>.depend
 
 installlib: all

## vlc 0.7.0

=== extras/ffmpeg/doc/Makefile ===
all: ffmpeg-doc.html faq.html ffserver-doc.html ffplay-doc.html hooks.html \
     ffmpeg.1 ffserver.1 ffplay.1

%.html: %.texi Makefile
	texi2html -monolithic -number $<

%.pod: %-doc.texi
	./texi2pod.pl $< $@

%.1: %.pod
	pod2man --section=1 --center=" " --release=" " $< > $@

clean:
	rm -f *.html *.pod *.1

=== extras/ffmpeg/tests/Makefile ===
#
# Makefile for tests
# (c) 2002 Fabrice Bellard
#
include ../config.mak

VPATH=$(SRC_PATH)/tests
CFLAGS=-O2 -Wall -g

REFFILE1=$(SRC_PATH)/tests/ffmpeg.regression.ref
REFFILE2=$(SRC_PATH)/tests/rotozoom.regression.ref

SERVER_REFFILE=$(SRC_PATH)/tests/ffserver.regression.ref

LIBAV_REFFILE=$(SRC_PATH)/tests/libav.regression.ref

all fulltest: test libavtest test-server

test-server: vsynth1/0.pgm asynth1.sw
	@$(SRC_PATH)/tests/server-regression.sh $(SERVER_REFFILE) $(SRC_PATH)/tests/test.conf

# fast regression tests for all codecs
test mpeg4 mpeg ac3: vsynth1/0.pgm vsynth2/0.pgm asynth1.sw tiny_psnr
	@$(SRC_PATH)/tests/regression.sh $@ $(REFFILE1) vsynth1
	@$(SRC_PATH)/tests/regression.sh $@ $(REFFILE2) vsynth2

# fast regression for libav formats
libavtest: vsynth1/0.pgm asynth1.sw
	@$(SRC_PATH)/tests/regression.sh $@ $(LIBAV_REFFILE) vsynth1

# video generation

vsynth1/0.pgm: videogen
	@mkdir -p vsynth1
	./videogen 'vsynth1/'

vsynth2/0.pgm: rotozoom
	@mkdir -p vsynth2
	./rotozoom 'vsynth2/' $(SRC_PATH)/tests/lena.pnm

videogen: videogen.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

rotozoom: rotozoom.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

# audio generation

asynth1.sw: audiogen
	./audiogen $@

audiogen: audiogen.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<

tiny_psnr: tiny_psnr.c
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $<
        
DSPDEPS = $(SRC_PATH)/libavcodec/i386/dsputil_mmx.c \
 $(SRC_PATH)/libavcodec/i386/dsputil_mmx_avg.h \
 $(SRC_PATH)/libavcodec/i386/dsputil_mmx_rnd.h \
 $(SRC_PATH)/libavcodec/i386/fdct_mmx.c \
 $(SRC_PATH)/libavcodec/i386/idct_mmx.c \
 $(SRC_PATH)/libavcodec/i386/motion_est_mmx.c \
 $(SRC_PATH)/libavcodec/i386/simple_idct_mmx.c \
 $(SRC_PATH)/libavcodec/dsputil.c \
 $(SRC_PATH)/libavcodec/dsputil.h \
 $(SRC_PATH)/libavcodec/simple_idct.c

dsptestpic: dsptest.c $(DSPDEPS)
	$(CC) -fPIC -DPIC -O4 -fomit-frame-pointer -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavcodec/i386 -I$(SRC_PATH)/libavcodec/ -o $@ $< -lm
dsptest: dsptest.c $(DSPDEPS)
	$(CC) -O4 -fomit-frame-pointer -DHAVE_AV_CONFIG_H -I.. -I$(SRC_PATH)/libavcodec/i386 -I$(SRC_PATH)/libavcodec/ -o $@ $< -lm

clean:
	rm -rf vsynth1 vsynth2 data
	rm -f asynth1.sw *~ audiogen videogen rotozoom tiny_psnr
